NotificationControllerSaveNotification Method |
Note: This API is now obsolete.
PUT /Notification/
OBSOLETE - Use POST /Notification/ or PUT /Notification/{id} instead.
Save a notification.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[ObsoleteAttribute("Use CreateNotification to create notifications, or UpdateNotification/{id} to update a notification")]
[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult SaveNotification(
[FromBodyAttribute] SaveNotificationOptions saveOptions,
Guid? sessionId = null
)<ObsoleteAttribute("Use CreateNotification to create notifications, or UpdateNotification/{id} to update a notification")>
<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function SaveNotification (
<FromBodyAttribute> saveOptions As SaveNotificationOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[ObsoleteAttribute(L"Use CreateNotification to create notifications, or UpdateNotification/{id} to update a notification")]
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ SaveNotification(
[FromBodyAttribute] SaveNotificationOptions^ saveOptions,
Nullable<Guid> sessionId = nullptr
)[<ObsoleteAttribute("Use CreateNotification to create notifications, or UpdateNotification/{id} to update a notification")>]
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member SaveNotification :
[<FromBodyAttribute>] saveOptions : SaveNotificationOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- saveOptions
- Type: Dundas.BI.WebApi.ModelsSaveNotificationOptions
The options required to perform the save. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA
NotificationData object, or a status code indicating the problem.
See Also